#!/bin/sh
echo "$@" | awk '
{ print "TEXINPUT=" $1
  print "BINDIR=" $2

  for (i = 3; i <= NF; i++) {
    j = split($i, pair, ".")
    if (j > 2) print "# bad input " $i
    prog[i] = pair[1]
    fmt[i] = pair[j]
  }

  print ""
  printf("all:")
  for (i = 3; i <= NF; i++) 
    printf(" \\\n\t$(BINDIR)/%s %s.fmt ", prog[i], prog[i])
  print ""
  for (i = 3; i <= NF; i++) {
    print ""
    print "$(BINDIR)/" prog[i] ":\t$(BINDIR)/virtex"
    print "\t-rm -f $(BINDIR)/" prog[i]
    print "\tln $(BINDIR)/virtex $(BINDIR)/" prog[i]
    print ""
    print prog[i] ".fmt:\t$(TEXINPUT)/" fmt[i] ".tex $(BINDIR)/" prog[i]
    print "\t$(BINDIR)/initex " fmt[i] " \"\\dump\""
    print "\t-rm -f " prog[i] ".fmt"
    print "\tln " fmt[i] ".fmt " prog[i] ".fmt"
  }  
  print ""
  print "Makefile:"
}
'
